# 1.3.2. Sensors for connected agriculture

## Content
<!-- TOC START min:2 max:2 link:true asterisk:false update:true -->
- [Content](#content)
- [1.3.2a Introduction](#132a-introduction)
- [1.3.2b How it works](#132b-how-it-works)
- [1.3.2c LoRaWAN networks](#132c-lorawan-networks)
- [1.3.2d Sensor autonomy](#132d-sensor-autonomy)
<!-- TOC END -->

## 1.3.2a Introduction

One of the most common uses for connected objects is for controlling the level of soil moisture in gardens or, on a larger scale, on farms. When used in this way, the data fed back by the sensors is then used to trigger an alert in the event of the soil becoming too dry and/or to activate automatic sprinkler systems.
Because the data is available in real-time, this type of system can be used to optimise the way in which certain crops are watered (drip irrigation) and to make savings not only financially, but also in terms of the amount of water used, which will be of particular benefit in regions where the resource is limited (e.g. drought in the central valleys of California).

There are a number of questions when it comes to deploying this type of system: what can be done to source data from remote locations, i.e. over large distances? What protocols are used? What constraints must objects respect for this type of system?

## 1.3.2b How it works

For this type of application, the current trend is to use cellular technology, whereby objects communicate with one or more gateways, which are themselves connected to the internet.
Objects and links communicate with each other over frequency bands enabling data to be sent over distances of several kilometres.
There are two different scenarios for cellular networks:

* **When the frequency band belongs to an operator:** in such cases, signals can only be emitted in a way that respects the communication protocol the band was set up for, and there must be a commercial agreement in place with the operator.
  This is the same as for mobile phones. The 900 MHz frequency band, initially allocated for GSM (2G) and now used less and less for mobile communication, has found a new use in the Internet of Things. The NB-IoT (Narrow Band IoT) protocol uses this band, which is shared between a number of operators, to send IoT data by means of a subscription.

* **When the frequency band is open:** this is the case for the ISM band, which can be used by anyone, provided they comply with certain restrictions outlined by a public regulatory body. In Europe, this body is called the _ETSI_ (European Telecommunications Standards Institute).
  For Europe, the ISM bands generally used
  in connected agriculture are the 433 MHz and 868 MHz bands. In order
  to be able to emit over these frequency bands, it is necessary to respect 2 constraints
  outlined by the ETSI, which vary depending on the bands (and sub-bands) used:
  * the emitting power must not exceed a certain threshold
  * the hourly emission length, also called the _duty cycle_, must remain
    below a certain threshold. This limit is expressed as a % of one hour.

  Two main types of cellular technology
  use these ISM bands to transmit IoT data: **SigFox** and
  **LoRaWAN**.

In all cases, objects communicate over radio frequencies with base stations (or gateways), via a given frequency band and using a communication protocol linked to the technology being used. The base station then relays this data to a server of the operator it belongs to.
Base stations and servers communicate with each other via the internet’s standard communication protocols (IP networks).
Lastly, these servers are responsible for sending data to their recipients via a pre-determined application protocol. These protocols generally ensure a level of confidentiality for the data, in addition to ensuring that the data is easy to access (like for the internet via HTTP, for example, but there are many other protocols which we won't go into here, such as MQTT).

At an application level, for this type of network, there are no particular specifications for data formatting, meaning 2 different applications will not be compatible unless the format of the data generated by the object is known in advance.

## 1.3.2c LoRaWAN networks

LoRaWAN networks are cellular networks which operate on the 433 MHz or 868 MHz ISM bands in Europe. In Europe, when using these bands, the _duty cycle_ tends to be 1%, but it can be higher or lower on certain sub-bands, while the emitting power may not exceed 14 dBm for 868 MHz
or 20 dBm for 433 MHz.
The radio technology (determining the modulation and the coding of information) used to enable objects/sensors and base stations to communicate with each other is called LoRa (for _Long Range_) and is capable of sending small data at low data speeds ranging from 292 bits per second to 50 kilobits per second.
The LoRaWAN protocol then determines the specifications above LoRa technology in order to connect objects to cellular networks and to enable them to send and receive data.


Figure 1 shows the architecture of a LoRaWAN network:

* The objects which communicate via LoRa with base stations or gateways.
* The gateways which are connected via the standard internet network to a network server. These servers will be located _in the cloud_ and will be managed by the operator of the LoRaWAN network.
* The applications are connected to the network server, enabling
  users to access data, either via the web, or via other
  application protocols, such as MQTT.

<figure style="text-align:center">
    <img src="Images/C034AA-M01-S03_Devices.png" alt="" style="width:400px"/><br/>
    <figcaption>Fig. 1 : Overview of a LoRaWAN network</figcaption>
</figure>

In LoRaWAN networks, lists of usernames and keys are programmed
on objects, enabling them to authenticate themselves with the network server. This
aspect is important in enabling the network server to determine if an
object does indeed belong to an application managed by the operator of the network. Any
piece of data received by the server which does not belong to an application by
the operator will simply be rejected.

Let’s take a brief look at network operators: there are many, and so
we won’t list them all here. In France, for example, certain operators such as Orange or
Objenious (Bouygues Télécom) are subsidiaries of major
mobile operators. They offer pretty extensive coverage at a
national level, with billing based either on the number of objects, or on the number of
messages.
When starting out, it can sometimes be simpler to use operators with open network
access, such as [Loriot](https://loriot.io) or [The Things Network](https://www.thethingsnetwork.org).
For these types of operator,
volunteers use their own gateways to ensure coverage, meaning
that the service is not always continuous. That said, access to the network is
free, and far less restrictive in terms of the number of messages or objects.

## 1.3.2d Sensor autonomy

There are 3 different classes of objects in LoRaWAN networks:
* **class A objects** are the objects with the lowest energy
  consumption. These objects spend the majority of their time in sleep
  mode, consuming practically no energy, and only waking up
  periodically to send data. After the data is sent (known as
  an _uplink_), they open 2 listening windows in order to receive data from the
  network server (this is what’s known as a _downlink_).
  For this class of objects, latency is very high, owing to the fact that they can
  only receive data after sending. The advantage is their level of
  consumption and how suitable they are for use in control systems
  deployed in vast, remote areas.

* **class B objects** open their listening windows periodically,
  meaning they can be reached more often by the network server. However,
  the fact that they wake up more often means they consume more energy.

* **class C objects** are awake all the time, and even when they are
  not emitting data, they continue to listen out for any messages sent
  by the network server. The advantage is that they offer very low
  latency: messages sent by the server will be received straight away by
  the object. However, they consume vast amounts of energy, meaning they can't
  be used for applications involving battery-operated objects.

As you will no doubt have understood, for use in connected agriculture as shown
here, only class A objects may be used, given the importance
of energy self-sufficiency.

Some modern microcontrollers consume roughly 1 microampere in
minimum operating mode. Supplied with small 2000mAh batteries,
this ensures they will remain self-sufficient for decades.
